Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat.internal
Class CategorizedStatistics

    java.lang.Object
      org.hibernate.stat.internal.CategorizedStatistics

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConcurrentCollectionStatisticsImpl, ConcurrentEntityStatisticsImpl, ConcurrentNaturalIdCacheStatisticsImpl, ConcurrentQueryStatisticsImpl, ConcurrentSecondLevelCacheStatisticsImpl

    public class CategorizedStatistics

extends Object
implements Serializable

Statistics for a particular "category" (a named entity, collection role, second level cache region or query).

See Also:
  Serialized Form

Method Summary
`String` | `getCategoryName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCategoryName

    public String getCategoryName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.